/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\misc\staff\QuickBuilding.cs
Lines of code: 47
***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class Wall : Item
	{
		[Constructable]
		public Wall() : base(90)
		{
		Movable=false;
		}

		public Wall( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );		
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
    	}
	}
	
	public class Wall2 : Item
	{
		[Constructable]
		public Wall2() : base(103)
		{
		Movable=false;
		}

		public Wall2( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );		
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
    	}
	}	
	
}